boost::geometry::strategy::area::surveyor< PointOfSegment, CalculationType > Class Template Reference
strategies: strategies

Area calculation for cartesian points. More...

List of all members.

## Classes

class | summation

## Public Types

typedef boost::mpl::if_c < boost::is_void < CalculationType > ::type::value, typename select_most_precise< typename coordinate_type < PointOfSegment >::type, double >::type, CalculationType >::type | return_type
typedef PointOfSegment | segment_point_type
typedef summation | state_type

## Static Public Member Functions

static void | apply (PointOfSegment const &p1, PointOfSegment const &p2, summation &state)
static return_type | result (summation const &state)

## Detailed Description

### template<typename PointOfSegment, typename CalculationType = void>
class boost::geometry::strategy::area::surveyor< PointOfSegment, CalculationType >

Area calculation for cartesian points.

Calculates area using the Surveyor's formula, a well-known triangulation algorithm

Template Parameters:

  PointOfSegment | segment point type
  CalculationType | numeric type for calculation (e.g. high precision); if [*void] then it is extracted automatically from the coordinate type and (if necessary) promoted to floating point

## Member Typedef Documentation

template<typename PointOfSegment , typename CalculationType = void>

typedef boost::mpl::if_c< boost::is_void<CalculationType>::type::value, typename select_most_precise < typename coordinate_type<PointOfSegment>::type, double >::type, CalculationType >::type boost::geometry::strategy::area::surveyor< PointOfSegment, CalculationType >::return_type

template<typename PointOfSegment , typename CalculationType = void>

typedef summation boost::geometry::strategy::area::surveyor< PointOfSegment, CalculationType >::state_type

template<typename PointOfSegment , typename CalculationType = void>

typedef PointOfSegment boost::geometry::strategy::area::surveyor< PointOfSegment, CalculationType >::segment_point_type

## Member Function Documentation

template<typename PointOfSegment , typename CalculationType = void>

static void boost::geometry::strategy::area::surveyor< PointOfSegment, CalculationType >::apply | ( | PointOfSegment const & | p1,
|  | PointOfSegment const & | p2,
|  | summation & | state
| ) |  | `[static]`

template<typename PointOfSegment , typename CalculationType = void>

static return_type boost::geometry::strategy::area::surveyor< PointOfSegment, CalculationType >::result | ( | summation const & | state | ) | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK